Bug 544684 - Review Request: gqradio - Skinned radio tuner
Summary: Review Request: gqradio - Skinned radio tuner
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Janssen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-06 01:02 UTC by Paulo Roma Cavalcanti
Modified: 2010-02-26 00:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-26 00:53:09 UTC
thomasj: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Paulo Roma Cavalcanti 2009-12-06 01:02:18 UTC
Spec URL: http://orion.lcg.ufrj.br/RPMS/SPECS/gqradio.spec

SRPM URL: http://orion.lcg.ufrj.br/RPMS/src/gqradio-1.9.2-3.fc12.src.rpm

Description: 
Radio tuner with themes.
Interfaces with video4linux compatible radio tuner cards.

-------------------------------------------------------------

Patched for v4l2 for using in Fedora 12.

rpmlint is CLEAN.

Scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1851962

Comment 1 Thomas Janssen 2010-01-04 09:58:03 UTC
[thomas@tusdell srpm-review-test]$ spectool -g gqradio.spec
--2010-01-04 10:53:00--  http://download.sourceforge.net/gqmpeg/gqradio-1.9.2.tar.gz
Resolving download.sourceforge.net... 150.65.7.130, 210.146.64.4, 198.142.1.17, ...
Connecting to download.sourceforge.net|150.65.7.130|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2010-01-04 10:53:01 ERROR 404: Not Found.

---------------------------

Please fix macro consistency: %name => %{name}

Will do a full review later.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Paulo Roma Cavalcanti 2010-01-04 12:43:16 UTC
Fixed. The change is so small that I did not increase the release.

Same links.

Thanks.

Comment 3 Thomas Janssen 2010-02-14 12:26:44 UTC
Ok, sorry, was a long time. I forgot about the review request. My bad.

An essential part of the packaging process is to increase the release if you make changes to the package. You can of course keep the release as long as you work on your package locally. But once upped for review, please do increase it.
That's the same as if you update/fix your package later in cvs.

Please do so. I will do the full review then.

Comment 5 Thomas Janssen 2010-02-15 10:05:30 UTC
Trying to do the review. The server http://orion.lcg.ufrj.br seems to be offline. You could also use your fedorapeople.org space. But i will try later again.

Comment 6 Paulo Roma Cavalcanti 2010-02-15 10:51:40 UTC
Lets try these locations then:


Spec URL: http://fedorapeople.org/~roma/specs/gqradio.spec

SRPM URL: http://fedorapeople.org/~roma/srpms/gqradio-1.9.2-4.fc12.src.rpm

Thanks.

Comment 7 Thomas Janssen 2010-02-24 19:12:22 UTC
Issues:
Downloadlink ==
http://prdownloads.sourceforge.net/gqmpeg/%{name}-%{version}.tar.gz

The one in the spec file gives a 404

Doesn't build in mock for F-13+

/usr/bin/ld: ui2_util.o: undefined reference to symbol 'XFree'
/usr/bin/ld: note: 'XFree' is defined in DSO /usr/lib/libX11.so.6 so try adding it to the linker command line
/usr/lib/libX11.so.6: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[3]: Leaving directory `/builddir/build/BUILD/gqradio-1.9.2/src'
make[2]: Leaving directory `/builddir/build/BUILD/gqradio-1.9.2/src'
make[3]: *** [gqradio] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/gqradio-1.9.2'
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.RebTtA (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.RebTtA (%build)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/gqradio.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mock/util.py", line 324, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/gqradio.spec']
LEAVE do --> EXCEPTION RAISED

See:
http://fedoraproject.org/wiki/FTBFS
http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking

Comment 9 Thomas Janssen 2010-02-25 12:54:14 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
XX - License field in spec matches
XX - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
10fded1c080cadd1b260a592772bcbb6  gqradio-1.9.2.tar.gz
NN - Package needs ExcludeArch
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
NN - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

NN - Headers/static libs in -devel subpackage.
NN - Spec has needed ldconfig in post and postun
NN - .pc files in -devel subpackage/requires pkgconfig
NN - .so files in -devel subpackage.
NN - -devel package Requires: %{name} = %{version}-%{release}
NN - .la files are removed.

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
Just one bogus spelling warning.
NN - final provides and requires are sane:
                                                                                                                                                                                                                            
SHOULD Items:                                                                                                                                                                                                               
                                                                                                                                                                                                                            
OK - Should build in mock.                                                                                                                                                                                                     
OK - Should build on all supported archs                                                                                                                                                                                       
OK - Should function as described.                                                                                                                                                                        OK - Should have sane scriptlets.                                                                                                                                                                                              
NN - Should have subpackages require base package with fully versioned depend.                                                                                                                                                 
OK - Should have dist tag                                                                                                                                                                                                      
OK - Should package latest version                                                                                                                                                                                             
                                                                                                                                                    
                                                                                                                                                                                                                            
Issues:
Remove the INSTALL file from %doc. It's only needed for compiling/installation.

Update %changelog ;) It's missing the entry for the latest release bump.

The license in the source says GPL, so that would be a GPL+, but the COPYING included in the tarball says GPLv2. Please update the license filed in your spec to: GPL+

Fix the 3 issues mentioned above and the package will be approved :)

After i installed it i tried to run it:
[thomas@tusdell srpm-review-test]$ gqradio 
Creating dir:/home/thomas/.gqradio
Creating dir:/home/thomas/.gqradio/skins
Failed to find /dev/radio
Radio device control test failed
Error, radio support missing, or failed to init radio device!
unable to open /dev/mixer

I guess that's expected since i dont have a radio tuner in my system. I will try and see if it uses my dvb-t radio thing, but i doubt that ;)

Comment 10 Thomas Janssen 2010-02-25 13:30:22 UTC
Soory, missed another one to fix:
The default attr have to read: (-,root,root,-)
Remove the spaces there in your spec. Thanks.

Comment 11 Paulo Roma Cavalcanti 2010-02-25 13:46:52 UTC
Fixed.

Spec URL: http://fedorapeople.org/~roma/specs/gqradio.spec

SRPM URL: http://fedorapeople.org/~roma/srpms/gqradio-1.9.2-6.fc12.src.rpm

I am not sure what you meant with:

"Update %changelog ;) It's missing the entry for the latest release bump."

because it was already there, I guess.


To run gqradio, you need a capture card with an FM turner, which will
make the video4linux module create the /dev/radio entry.

Comment 12 Thomas Janssen 2010-02-25 13:54:49 UTC
Ah ok, i see. You had/have the corrected spec in the SRPM but the old one in the review request link for the spec. No biggie.

All issues are fixed.

APPROVED.

Comment 13 Paulo Roma Cavalcanti 2010-02-25 14:58:21 UTC
Thanks, Thomas, for finishing this review.

New Package CVS Request
=======================
Package Name: gqradio
Short Description: Skinned radio tuner
Owners: roma
Branches: F-11 F-12 F-13
InitialCC: roma

Comment 14 Jason Tibbitts 2010-02-25 17:38:22 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.